Bug 178947 - Replica UI "Replica ID" setting tool tip is incorrect (max val is really 65534)
Replica UI "Replica ID" setting tool tip is incorrect (max val is really 65534)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: UI - General UI (Show other bugs)
7.1
All Linux
low Severity high
: DS8.1
: ---
Assigned To: Noriko Hosoi
Chandrasekar Kannan
:
Depends On:
Blocks: 152373 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2006-01-25 12:40 EST by To Ngan
Modified: 2015-01-04 18:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 18:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs diff directoryconsole/help/en/help/configtab_replication3.html (1.29 KB, patch)
2009-02-26 12:22 EST, Noriko Hosoi
no flags Details | Diff
cvs commit message (comment#5) (642 bytes, text/plain)
2009-02-26 12:50 EST, Noriko Hosoi
no flags Details

  None (edit)
Description To Ngan 2006-01-25 12:40:20 EST
Description of problem:
Replica UI "Replica ID" setting tool tip says range 1 to 255 but allows larger
values

Version-Release number of selected component (if applicable):
DS 7.1 SP1

How reproducible:
Consistently

Steps to Reproduce:
1. Open DS console, enable changelog, enable replica
2. Select Single Master Replica Role
3. Move mouse over Replica ID field and verify it says ID value 1 to 255
(consistent with Help content)
4. Enter 10000 (max value allowed by UI is 65534) and Save
  
Actual results:
Change is saved in config/dse.ldif

Expected results:
UI allowed range should match tool tip and Docs
Comment 3 Rich Megginson 2008-12-11 12:34:55 EST
Checking in replication.properties;
/cvs/dirsec/directoryconsole/src/com/netscape/admin/dirserv/panel/replication/replication.properties,v  <--  replication.properties
new revision: 1.4; previous revision: 1.3
done
Comment 4 Jenny Galipeau 2009-02-25 13:12:15 EST
Tool tip now says:

A number between 1 and 65534 inclusive that uniquely identifies this replica.


However, the on-line help still says An integer between 1 and 255 that identifies this replica.
Comment 5 Noriko Hosoi 2009-02-26 12:22:44 EST
Created attachment 333360 [details]
cvs diff directoryconsole/help/en/help/configtab_replication3.html

Description: replacing 255 with 65534 in the online help page.
Comment 6 Noriko Hosoi 2009-02-26 12:50:20 EST
Created attachment 333364 [details]
cvs commit message (comment#5)

Reviewed by Rich (Thanks!)

Checked in into CVS HEAD.
Comment 7 Jenny Galipeau 2009-03-27 08:10:10 EDT
fix verfied - RHEL 5
Comment 8 Chandrasekar Kannan 2009-04-29 18:58:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.